gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.ClosureNotifyData

Contents

- Exported types
- Methods
- Properties
  - data
  - notify

Description

No description available in the introspection data.

Synopsis

- newtype ClosureNotifyData = ClosureNotifyData (ManagedPtr ClosureNotifyData)
- newZeroClosureNotifyData :: MonadIO m => m ClosureNotifyData
- clearClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> m ()
- getClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> m (Ptr ())
- setClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> Ptr () -> m ()
- clearClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> m ()
- getClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> m (Maybe ClosureNotify)
- setClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> FunPtr C_ClosureNotify -> m ()

# Exported types

newtype ClosureNotifyData Source #

Memory-managed wrapper type.

Constructors

ClosureNotifyData (ManagedPtr ClosureNotifyData) |

#### Instances

Instances details

Eq ClosureNotifyData Source # |
Instance details Defined in GI.GObject.Structs.ClosureNotifyData Methods (==) :: ClosureNotifyData -> ClosureNotifyData -> Bool Source # (/=) :: ClosureNotifyData -> ClosureNotifyData -> Bool Source #
BoxedPtr ClosureNotifyData Source # |
Instance details Defined in GI.GObject.Structs.ClosureNotifyData Methods boxedPtrCopy :: ClosureNotifyData -> IO ClosureNotifyData Source # boxedPtrFree :: ClosureNotifyData -> IO () Source #
CallocPtr ClosureNotifyData Source # |
Instance details Defined in GI.GObject.Structs.ClosureNotifyData Methods boxedPtrCalloc :: IO (Ptr ClosureNotifyData) Source #
ManagedPtrNewtype ClosureNotifyData Source # |
Instance details Defined in GI.GObject.Structs.ClosureNotifyData Methods toManagedPtr :: ClosureNotifyData -> ManagedPtr ClosureNotifyData Source #
tag ~ 'AttrSet => Constructible ClosureNotifyData tag Source # |
Instance details Defined in GI.GObject.Structs.ClosureNotifyData Methods new :: MonadIO m => (ManagedPtr ClosureNotifyData -> ClosureNotifyData) -> [AttrOp ClosureNotifyData tag] -> m ClosureNotifyData Source #

newZeroClosureNotifyData :: MonadIO m => m ClosureNotifyData Source #

Construct a `ClosureNotifyData` struct initialized to zero.

# Methods

# Properties

## data

No description available in the introspection data.

clearClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> m () Source #

Set the value of the “`data`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #data

getClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> m (Ptr ()) Source #

Get the value of the “`data`” field. When overloading is enabled, this is equivalent to

    get closureNotifyData #data

setClosureNotifyDataData :: MonadIO m => ClosureNotifyData -> Ptr () -> m () Source #

Set the value of the “`data`” field. When overloading is enabled, this is equivalent to

    set closureNotifyData [ #data := value ]

## notify

No description available in the introspection data.

clearClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> m () Source #

Set the value of the “`notify`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #notify

getClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> m (Maybe ClosureNotify) Source #

Get the value of the “`notify`” field. When overloading is enabled, this is equivalent to

    get closureNotifyData #notify

setClosureNotifyDataNotify :: MonadIO m => ClosureNotifyData -> FunPtr C_ClosureNotify -> m () Source #

Set the value of the “`notify`” field. When overloading is enabled, this is equivalent to

    set closureNotifyData [ #notify := value ]